Compose a Music Video task from selected shots

Compose selected BeatAPI storyboard shots into the final Music Video. This operation charges a fixed $1 USD.

Authentication

AuthorizationBearer

Send your API key as Authorization: Bearer <BEATAPI_API_KEY>.

Path parameters

task_idstringRequired

Headers

Idempotency-KeystringOptional

Optional retry key. Reusing the same key for this task and request body returns the accepted task without charging the $1 compose amount again; changing either returns 409 idempotency_conflict.

Request

This endpoint expects an object.
shot_idslist of stringsRequired

Response

Compose accepted
dataobject
Accepted or current BeatAPI task state.

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error
502
Bad Gateway Error